# Query Partner Transactions

### **Request URL** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/partner/query-transactions`

### **Request Body**

&#x20;**Refer to :** [**common**](/issuing-card-api/common.md)

&#x20;**Biz\_data ：**

| Name                                          | Type    | Description                                                                                                                                              |
| --------------------------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| order\_no                                     | string  | Order number                                                                                                                                             |
| transaction\_status                           | integer | <p>Transaction status</p><p>Refer to <a href="https://docs.pagsmile.com/remittance-api/data/dictionary-item/transaction-type">Transaction Type</a></p>   |
| transaction\_type                             | integer | <p>Transaction type</p><p>Refer to <a href="https://docs.pagsmile.com/remittance-api/data/dictionary-item/transaction-status">Transaction Status</a></p> |
| currency                                      | string  | Currency                                                                                                                                                 |
| start\_date<mark style="color:red;">\*</mark> | string  | <p>Begin time,</p><p>format:yyyy-MM-dd</p>                                                                                                               |
| end\_date<mark style="color:red;">\*</mark>   | string  | <p>End time</p><p>format: yyyy-MM-dd</p>                                                                                                                 |
| page\_num                                     | integer | Default value: 1                                                                                                                                         |
| page\_size                                    | integer | <p>Default value: 10</p><p>Max value is 30</p>                                                                                                           |

{% hint style="info" %}
Max query time range : 31 days
{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data": [
       
        {
            "transaction_id": "100009",
            "order_no": "1721981116404",
            "transaction_type": 100,
            "transaction_status": 1,
            "account_no": "200100******0057",
            "account_name": "individual - autotest - 20240726+142031 Williams",
            "billing_currency": "USD",
            "billing_amount": "5.00",
            "billing_fee": "0.00",
            "transaction_amount": "5.00",
            "transaction_currency": "USD",
            "exchange_rate": "1",
            "reference": "6",
            "related_transaction_id":"",
            "business_date": "2024-07-26",
            "created_at": "2024-07-26 16:05:53"
        }
    ],
    "total": 2,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name                     | Type    | Description                 |
| ------------------------ | ------- | --------------------------- |
| transaction\_id          | string  | Transaction id              |
| order\_no                | string  | Order number                |
| transaction\_type        | integer | Transaction Type            |
| transaction\_status      | integer | Transaction status          |
| account\_no              | string  | Account number              |
| account\_name            | string  | Account name                |
| billing\_currency        | string  | Bill currency               |
| billing\_amount          | string  | Bill amount                 |
| billing\_fee             | string  | Bill fee                    |
| transaction\_amount      | string  | Transaction amount          |
| transaction\_currency    | string  | Transaction currency        |
| exchange\_rate           | string  | Exchange rate               |
| reference                | string  | Remarks                     |
| related\_transaction\_id | string  | Related Transaction ID      |
| business\_date           | string  | Format: yyyy-MM-dd          |
| created\_at              | string  | Format: yyyy-MM-dd HH:mm:ss |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://card-api-sandbox.pagsmile.com/issuing/partner/query-transactions' \
--header 'Content-Type: application/json' \
--data-raw '{
    "app_id": "2017051914172236111",
    "partner_id": "900000000000001",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC6",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CjJT3+PR9CjJT3+PR9C"
}'
```

Note: **201\*\*\*\*\*\*\*\*\*\*\*\*11** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/partner/query-partner-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
